--- old/usr/src/cmd/cmd-inet/sbin/dhcpagent/init_reboot.c	2014-04-28 16:23:04.948120754 -0400
+++ new/usr/src/cmd/cmd-inet/sbin/dhcpagent/init_reboot.c	2014-04-28 16:23:04.953793486 -0400
@@ -237,9 +237,8 @@
 	if (dsmp->dsm_isv6) {
 		uint_t nowabs, maxabs;
 
-		nowabs = gethrtime() / (NANOSEC / MILLISEC);
-		maxabs = dsmp->dsm_neg_hrtime / (NANOSEC / MILLISEC) +
-		    DHCPV6_CNF_MAX_RD;
+		nowabs = NSEC2MSEC(gethrtime());
+		maxabs = NSEC2MSEC(dsmp->dsm_neg_hrtime) + DHCPV6_CNF_MAX_RD;
 		if (nowabs < maxabs) {
 			/* Cap the timer based on the maximum */
 			if (nowabs + dsmp->dsm_send_timeout > maxabs)
--- old/usr/src/cmd/cmd-inet/usr.lib/in.mpathd/mpd_probe.c	2014-04-28 16:23:05.126981752 -0400
+++ new/usr/src/cmd/cmd-inet/usr.lib/in.mpathd/mpd_probe.c	2014-04-28 16:23:05.132753695 -0400
@@ -2726,7 +2726,7 @@
 static int
 ns2ms(int64_t ns)
 {
-	return (ns / (NANOSEC / MILLISEC));
+	return (NSEC2MSEC(ns));
 }
 
 static int64_t
--- old/usr/src/cmd/cmd-inet/usr.sbin/ipmpstat/ipmpstat.c	2014-04-28 16:23:05.375112377 -0400
+++ new/usr/src/cmd/cmd-inet/usr.sbin/ipmpstat/ipmpstat.c	2014-04-28 16:23:05.380739372 -0400
@@ -153,7 +153,7 @@
 };
 
 #define	IPMPSTAT_NCOL	80
-#define	NS2FLOATMS(ns)	((float)(ns) / (NANOSEC / MILLISEC))
+#define	NS2FLOATMS(ns)	(NSEC2MSEC((float)(ns)))
 #define	MS2FLOATSEC(ms)	((float)(ms) / 1000)
 
 static const char	*progname;
--- old/usr/src/cmd/idmap/idmapd/dbutils.c	2014-04-28 16:23:05.580993436 -0400
+++ new/usr/src/cmd/idmap/idmapd/dbutils.c	2014-04-28 16:23:05.586653212 -0400
@@ -356,7 +356,7 @@
 	}
 	busy->total += delay;
 	rqtp.tv_sec = 0;
-	rqtp.tv_nsec = delay * (NANOSEC / MILLISEC);
+	rqtp.tv_nsec = MSEC2NSEC(delay);
 	(void) nanosleep(&rqtp, NULL);
 	return (1);
 }
--- old/usr/src/cmd/mdb/common/modules/svc.configd/configd.c	2014-04-28 16:23:05.909951260 -0400
+++ new/usr/src/cmd/mdb/common/modules/svc.configd/configd.c	2014-04-28 16:23:05.915704642 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <mdb/mdb_modapi.h>
 #include <mdb/mdb_ctf.h>
 
@@ -258,7 +256,7 @@
 		else if (dursec <= 9999)
 			mdb_snprintf(durstr, sizeof (durstr),
 			    "%lld.%03lld",
-			    dursec, durnsec / (NANOSEC / MILLISEC));
+			    dursec, NSEC2MSEC(durnsec));
 		else
 			mdb_snprintf(durstr, sizeof (durstr),
 			    "%lld", dursec);
@@ -282,7 +280,7 @@
 		else if (dursec <= 99999999ULL)
 			mdb_snprintf(stampstr, sizeof (stampstr),
 			    "-%lld.%03lld",
-			    dursec, durnsec / (NANOSEC / MILLISEC));
+			    dursec, NSEC2MSEC(durnsec));
 		else
 			mdb_snprintf(stampstr, sizeof (stampstr),
 			    "-%lld", dursec);
--- old/usr/src/cmd/rcap/rcapd/rcapd_main.c	2014-04-28 16:23:06.088073950 -0400
+++ new/usr/src/cmd/rcap/rcapd/rcapd_main.c	2014-04-28 16:23:06.093724091 -0400
@@ -1045,8 +1045,8 @@
 	    (unsigned long long)lcol->lcol_rss_cap,
 	    (unsigned long long)(lcol->lcol_stat.lcols_proc_in -
 	    lcol->lcol_stat.lcols_proc_out), DELTA(lcols_proc_out),
-	    DELTA(lcols_scan_count), DELTA(lcols_scan_time_complete) / (NANOSEC
-	    / MILLISEC));
+	    DELTA(lcols_scan_count),
+	    NSEC2MSEC(DELTA(lcols_scan_time_complete)));
 
 #undef DELTA
 
--- old/usr/src/cmd/rcap/rcapstat/rcapstat.c	2014-04-28 16:23:06.303046013 -0400
+++ new/usr/src/cmd/rcap/rcapstat/rcapstat.c	2014-04-28 16:23:06.308776917 -0400
@@ -281,8 +281,8 @@
 		    col->col_src_stat.lcols_max_rss, col->col_rsslimit,
 		    (col->col_src_stat.lcols_proc_in -
 		    col->col_old_stat.lcols_proc_out), DELTA(lcols_proc_out),
-		    DELTA(lcols_scan_count), DELTA(lcols_scan_time_complete) /
-		    (NANOSEC / MILLISEC));
+		    DELTA(lcols_scan_count),
+		    NSEC2MSEC(DELTA(lcols_scan_time_complete)));
 		col->col_old_stat = col->col_src_stat;
 
 		col = col->col_next;
--- old/usr/src/cmd/zlogin/zlogin.c	2014-04-28 16:23:06.475311432 -0400
+++ new/usr/src/cmd/zlogin/zlogin.c	2014-04-28 16:23:06.480878757 -0400
@@ -671,7 +671,7 @@
 
 				/* sleep for 10 milliseconds */
 				rqtp.tv_sec = 0;
-				rqtp.tv_nsec = 10 * (NANOSEC / MILLISEC);
+				rqtp.tv_nsec = MSEC2NSEC(10);
 				(void) nanosleep(&rqtp, NULL);
 				if (!dead)
 					goto retry;
--- old/usr/src/lib/libdhcpagent/common/dhcpagent_ipc.c	2014-04-28 16:23:06.709585329 -0400
+++ new/usr/src/lib/libdhcpagent/common/dhcpagent_ipc.c	2014-04-28 16:23:06.715169214 -0400
@@ -994,7 +994,7 @@
 
 		if (*msec != -1) {
 			end = gethrtime();
-			*msec -= (end - start) / (NANOSEC / MILLISEC);
+			*msec -= NSEC2MSEC(end - start);
 			if (*msec < 0)
 				*msec = 0;
 		}
--- old/usr/src/lib/libdlpi/common/libdlpi.c	2014-04-28 16:23:06.905545330 -0400
+++ new/usr/src/lib/libdlpi/common/libdlpi.c	2014-04-28 16:23:06.911244874 -0400
@@ -1339,7 +1339,7 @@
 
 	for (;;) {
 		if (!infinite)
-			start = gethrtime() / (NANOSEC / MILLISEC);
+			start = NSEC2MSEC(gethrtime());
 
 		switch (poll(&pfd, 1, msec)) {
 		default:
@@ -1455,7 +1455,7 @@
 		}
 update_timer:
 		if (!infinite) {
-			current = gethrtime() / (NANOSEC / MILLISEC);
+			current = NSEC2MSEC(gethrtime());
 			msec -= (current - start);
 
 			if (msec <= 0)
--- old/usr/src/lib/libinetutil/common/tq.c	2014-04-28 16:23:07.122810044 -0400
+++ new/usr/src/lib/libinetutil/common/tq.c	2014-04-28 16:23:07.128358620 -0400
@@ -95,7 +95,7 @@
 	 * is the last item on the list, which are very different cases).
 	 */
 
-	node->iutn_abs_timeout = gethrtime() + (msec * (NANOSEC / MILLISEC));
+	node->iutn_abs_timeout = gethrtime() + MSEC2NSEC(msec);
 
 	if (tq->iutq_head != NULL &&
 	    tq->iutq_head->iutn_abs_timeout < node->iutn_abs_timeout)
--- old/usr/src/lib/libldap5/sources/ldap/common/os-ip.c	2014-04-28 16:23:07.297904350 -0400
+++ new/usr/src/lib/libldap5/sources/ldap/common/os-ip.c	2014-04-28 16:23:07.303702730 -0400
@@ -3,8 +3,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * The contents of this file are subject to the Netscape Public
  * License Version 1.1 (the "License"); you may not use this file
@@ -317,7 +315,7 @@
 					    (msec % MILLISEC);
 #ifdef _SOLARIS_SDK
 			start_time = gethrtime();
-			tv_time = (hrtime_t)msec * (NANOSEC / MILLISEC);
+			tv_time = MSEC2NSEC(msec);
 #else
 			start_time = (long)time(NULL);
 #endif
--- old/usr/src/uts/common/dtrace/dtrace.c	2014-04-28 16:23:07.522649947 -0400
+++ new/usr/src/uts/common/dtrace/dtrace.c	2014-04-28 16:23:07.528609719 -0400
@@ -139,7 +139,7 @@
 dtrace_optval_t dtrace_jstackframes_default = 50;
 dtrace_optval_t dtrace_jstackstrsize_default = 512;
 int		dtrace_msgdsize_max = 128;
-hrtime_t	dtrace_chill_max = 500 * (NANOSEC / MILLISEC);	/* 500 ms */
+hrtime_t	dtrace_chill_max = MSEC2NSEC(500);		/* 500 ms */
 hrtime_t	dtrace_chill_interval = NANOSEC;		/* 1000 ms */
 int		dtrace_devdepth_max = 32;
 int		dtrace_err_verbose;
--- old/usr/src/uts/common/inet/ip/ip.c	2014-04-28 16:23:08.299467000 -0400
+++ new/usr/src/uts/common/inet/ip/ip.c	2014-04-28 16:23:08.305481654 -0400
@@ -1498,7 +1498,7 @@
 		/* Compute # of milliseconds since midnight */
 		gethrestime(&now);
 		ts = (now.tv_sec % (24 * 60 * 60)) * 1000 +
-		    now.tv_nsec / (NANOSEC / MILLISEC);
+		    NSEC2MSEC(now.tv_nsec);
 		*tsp++ = htonl(ts);	/* Lay in 'receive time' */
 		*tsp++ = htonl(ts);	/* Lay in 'send time' */
 		BUMP_MIB(&ipst->ips_icmp_mib, icmpOutTimestampReps);
@@ -9117,7 +9117,7 @@
 				/* Compute # of milliseconds since midnight */
 				gethrestime(&now);
 				ts = (now.tv_sec % (24 * 60 * 60)) * 1000 +
-				    now.tv_nsec / (NANOSEC / MILLISEC);
+				    NSEC2MSEC(now.tv_nsec);
 				bcopy(&ts, (char *)opt + off, IPOPT_TS_TIMELEN);
 				opt[IPOPT_OFFSET] += IPOPT_TS_TIMELEN;
 				break;
@@ -9343,7 +9343,7 @@
 				/* Compute # of milliseconds since midnight */
 				gethrestime(&now);
 				ts = (now.tv_sec % (24 * 60 * 60)) * 1000 +
-				    now.tv_nsec / (NANOSEC / MILLISEC);
+				    NSEC2MSEC(now.tv_nsec);
 				bcopy(&ts, (char *)opt + off, IPOPT_TS_TIMELEN);
 				opt[IPOPT_OFFSET] += IPOPT_TS_TIMELEN;
 				break;
@@ -12025,7 +12025,7 @@
 				/* Compute # of milliseconds since midnight */
 				gethrestime(&now);
 				ts = (now.tv_sec % (24 * 60 * 60)) * 1000 +
-				    now.tv_nsec / (NANOSEC / MILLISEC);
+				    NSEC2MSEC(now.tv_nsec);
 				bcopy(&ts, (char *)opt + off, IPOPT_TS_TIMELEN);
 				opt[IPOPT_OFFSET] += IPOPT_TS_TIMELEN;
 				break;
--- old/usr/src/uts/common/io/devpoll.c	2014-04-28 16:23:09.012626882 -0400
+++ new/usr/src/uts/common/io/devpoll.c	2014-04-28 16:23:09.018241929 -0400
@@ -750,7 +750,7 @@
 			 * to absolute nanoseconds.  They must wait for at
 			 * least a tick.
 			 */
-			deadline = deadline * NANOSEC / MILLISEC;
+			deadline = MSEC2NSEC(deadline);
 			deadline = MAX(deadline, nsec_per_tick);
 			deadline += now;
 		}
--- old/usr/src/uts/common/io/power.c	2014-04-28 16:23:09.206326401 -0400
+++ new/usr/src/uts/common/io/power.c	2014-04-28 16:23:09.211946566 -0400
@@ -116,7 +116,7 @@
 static void *power_state;
 static int power_inst = -1;
 
-static hrtime_t	power_button_debounce = NANOSEC/MILLISEC*10;
+static hrtime_t	power_button_debounce = MSEC2NSEC(10);
 static hrtime_t power_button_abort_interval = 1.5 * NANOSEC;
 static int	power_button_abort_presses = 3;
 static int	power_button_abort_enable = 1;
--- old/usr/src/uts/sun4u/io/todds1287.c	2014-04-28 16:23:09.408248585 -0400
+++ new/usr/src/uts/sun4u/io/todds1287.c	2014-04-28 16:23:09.413902550 -0400
@@ -158,7 +158,7 @@
 /* Driver Tunables */
 static int	ds1287_interrupt_priority = 15;
 static int	ds1287_softint_priority = 2;
-static hrtime_t power_button_debounce = NANOSEC/MILLISEC*10;
+static hrtime_t power_button_debounce = MSEC2NSEC(10);
 static hrtime_t power_button_abort_interval = 1.5 * NANOSEC;
 static int	power_button_abort_presses = 3;
 static int	power_button_abort_enable = 1;
